ERF(3) | NetBSD Library Functions Manual | ERF(3)

# NAME

erf, erff, erfc, erfcf — error function operators

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
erf(double x);

float
erff(float x);

double
erfc(double x);

float
erfcf(float x);

# DESCRIPTION

These functions calculate the error function of x.

The erf() calculates the error function of x; where

erf(x) = 2/sqrt(pi)∗integral from 0 to x of exp(-t∗t) dt.

The erfc() function calculates the complementary error function of x; that is erfc() subtracts the result of the error function erf(x) from 1.0. This is useful, since for large x places disappear.

# SEE ALSO

math(3)

# HISTORY

The erf() and erfc() functions appeared in 4.3BSD.

April 20, 1991 | NetBSD 5.99